PDFObjectType (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.pdf.extensions

## Enum PDFObjectType

- java.lang.Object
- - java.lang.Enum<PDFObjectType>
  - - org.apache.fop.render.pdf.extensions.PDFObjectType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<PDFObjectType>

      public enum PDFObjectType
      extends java.lang.Enum<PDFObjectType>

  Enumeration type for leaf PDF object extension types used as singletons, dictionary entries, or array entries.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Array`
    `Boolean`
    `Dictionary`
    `Name`
    `Number`
    `Reference`
    `String`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `elementName()`
    `static PDFObjectType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PDFObjectType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Array

          public static final PDFObjectType Array

    - #### Boolean

          public static final PDFObjectType Boolean

    - #### Dictionary

          public static final PDFObjectType Dictionary

    - #### Name

          public static final PDFObjectType Name

    - #### Number

          public static final PDFObjectType Number

    - #### Reference

          public static final PDFObjectType Reference

    - #### String

          public static final PDFObjectType String

  - ### Method Detail

    - #### values

          public static PDFObjectType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PDFObjectType c : PDFObjectType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PDFObjectType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### elementName

          public java.lang.String elementName()

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.